#### D.2.3.11 number_e

Procedure from library `general.lib` (see general_lib).

Usage:
  number_e(n); n integer

Return:
  Euler number e=exp(1) up to n decimal digits (no rounding)
  - of type string if no basering of char 0 is defined
  - of type number if a basering of char 0 is defined

Display:
  decimal format of e if printlevel > 0 (default:printlevel=0 )

Note:
  procedure uses algorithm of A.H.J. Sale

Example:

    LIB "general.lib";
    number_e(30);"";
    ==> 2.71828182845904523536028747135
    ==>
    ring R = 0,t,lp;
    number e = number_e(30);
    e;
    ==> 13591409142295226176801437356763/5000000000000000000000000000000

User manual for Singular version 4.4.1, 2025, generated by texi2html.